## shotwell 0.20.2

=== debian/changelog ===
shotwell (0.20.2-0ubuntu0.14.10.2) utopic; urgency=medium

  * debian/control.in:
    - updated libsignon-glib requirement

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    Don't use the deprecated libaccounts and libsignon APIs
    Introspection annotations are wrong in some of those. (lp: #1382843)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Dec 2014 16:27:05 +0100

shotwell (0.20.2-0ubuntu0.14.10.1) utopic; urgency=medium

  * New upstream release 0.20.2
    - Fixes issue setting multiple images as a desktop slideshow (LP:
      #1380651)
    - Check for rendering failures in the thumbnailer

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 06 Nov 2014 11:07:15 +0000

shotwell (0.20.1-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
    - Corrects problems with navigating photos in full-screen mode
    - Better memory utilization via more conservative pixbuf cache
    - Fixes minor bugs detected by better Vala code analysis

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Oct 2014 12:07:16 +0100

shotwell (0.20.0-0ubuntu1) utopic; urgency=medium

  * New upstream version
  * debian/patches/06_uoa.patch:
    - refreshed for the new version
  * debian/patches/update_translation_list.patch: 
    - don't list deprecated source to translate

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 19:42:01 +0200

shotwell (0.18.1-0ubuntu2) utopic; urgency=medium

  * No-change rebuild to build against new vala with fixed GMutex/GCond
    bindings.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Aug 2014 09:45:08 +0100

shotwell (0.18.1-0ubuntu1) utopic; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Fix crash due to nested tag and changing sidebar selection. LP: #1322661
  * Drop git_flickr_url.patch, fixed upstream

  [ Robert Ancell]
  * debian/watch:
    - Update to GNOME FTP location

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 Jul 2014 11:41:07 +1200

shotwell (0.18.0-0ubuntu8) utopic; urgency=medium

  * debian/patches/git_flickr_url.patch:
    - Fix Flickr publishing (now HTTPs only) (lp: #1335600)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Jul 2014 10:40:37 +0200

shotwell (0.18.0-0ubuntu7) utopic; urgency=medium

  * debian/patches/06_uoa.patch: use the correct uoa command (lp: #1314904)

  [ Martin Pitt ]
  * autopkgtest: Drop local copy of autopilot3-sandbox-run and bump test dep to
    the version that ships it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Jun 2014 12:41:43 +0200

shotwell (0.18.0-0ubuntu6) utopic; urgency=medium

  * Use local copy of autopilot3-sandbox-run, until it lands in
    python3-autopilot.
  * Update recorded ioctl for current libgphoto2 2.5.4.
  * Add at-spi2-core test dependency, to avoid long hangs (will eventually go
    to autopilot-desktop).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 May 2014 10:33:07 +0200

shotwell (0.18.0-0ubuntu5) utopic; urgency=high

  * No change rebuild against libraw10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 02:33:59 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               m4,
               valac (>= 0.18.0),
               libgee-0.8-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.6.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.90),
               libgphoto2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libwebkitgtk-3.0-dev (>= 1.4.0),
               libgudev-1.0-dev (>= 145),
               libraw-dev (>= 0.14),
               libjson-glib-dev,
               libgstreamer1.0-dev (>= 1.0.0),
               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
               librest-dev,
               libaccounts-glib-dev,
               libsignon-glib-dev (>= 1.10daily13.06.25-0ubuntu3),
               libunity-dev,
               python-scour,
               desktop-file-utils,
               intltool,
               gnome-doc-utils,
Standards-Version: 3.9.4
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
XS-Testsuite: autopkgtest

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.14.1-1)
Replaces: shotwell (<< 0.14.1-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package contains the debugging symbols for Shotwell.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/shotwell/([\d\.]+)/ \
	shotwell-(.*)\.tar\.xz

## shotwell 0.22.0

=== Makefile ===
PROGRAM = shotwell
PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
PROGRAM_MIGRATOR = shotwell-settings-migrator

VERSION = 0.22.0
GITVER := $(shell git log -n 1 2>/dev/null | head -n 1 | awk '{print $$2}')
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

ifndef VALAC
VALAC := $(shell which valac)
else
VALAC := $(shell which $(VALAC))
endif

VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
MIN_VALAC_VERSION := 0.20.1
INSTALL_PROGRAM := install
INSTALL_DATA := install -m 644

export MIN_GLIB_VERSION=2.30.0

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
BUILD_RELEASE=1
LIB=lib

-include configure.mk
ifndef LIBEXECDIR
LIBEXECDIR=$(PREFIX)/libexec/shotwell
endif

CORE_SUPPORTED_LANGUAGES=$(shell cat po/LINGUAS)

LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale

VALAFLAGS := -g --enable-checking --target-glib=2.32 --thread --fatal-warnings --enable-experimental --enable-deprecated $(USER_VALAFLAGS)
ifdef UNITY_SUPPORT
VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
endif

ifdef WITH_GPHOTO_25
VALAFLAGS := $(VALAFLAGS) --define WITH_GPHOTO_25
endif

DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIB='"${LIB}"' _LIBEXECDIR='"$(LIBEXECDIR)"'

ifdef GITVER
DEFINES := $(DEFINES) _GIT_VERSION='"$(GITVER)"'
VALAFLAGS := $(VALAFLAGS) --define=_GITVERSION
endif

EXPORT_FLAGS = -export-dynamic

include units.mk
include plugins/plugins.mk

UNUNITIZED_SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	NaturalCollate.vala \
	Thumbnail.vala \
	ThumbnailCache.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Page.vala \
	SortedList.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	ColorTransformation.vala \
	Properties.vala \
	CustomComponents.vala \
	Event.vala \
	International.vala \
	AppDirs.vala \
	PixbufCache.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	Printing.vala \
	Tag.vala \
	Screensaver.vala \
	Exporter.vala \
	DirectoryMonitor.vala \
	LibraryMonitor.vala \
	VideoSupport.vala \
	Tombstone.vala \
	MetadataWriter.vala \
	Application.vala \
	TimedQueue.vala \
	MediaPage.vala \
	MediaDataRepresentation.vala \
	DesktopIntegration.vala \
	MediaInterfaces.vala \
	MediaMetadata.vala \
	VideoMetadata.vala \
	MediaMonitor.vala \
	PhotoMonitor.vala \
	VideoMonitor.vala \
	SearchFilter.vala \
	MediaViewTracker.vala \
	UnityProgressBar.vala \
	Upgrades.vala 

THUMBNAILER_SRC_FILES = \
	shotwell-video-thumbnailer.vala

VAPI_FILES = \
	ExtendedPosix.vapi \
	LConv.vapi \
	libexif.vapi \
	libraw.vapi \
	webkitgtk-3.0.vapi \
	unique-3.0.vapi \
	unity.vapi

DEPS_FILES = \
	webkitgtk-3.0.deps \
	unique-3.0.deps \
	unity.deps

ifdef WITH_GPHOTO_25
GPHOTO_VAPI_FILE = vapi/gphoto-2.5/libgphoto2.vapi
else
GPHOTO_VAPI_FILE = vapi/gphoto-2.4/libgphoto2.vapi
endif

RESOURCE_FILES = \
	collection.ui \
	direct.ui \
	direct_context.ui \
	events_directory.ui \
	event.ui \
	fullscreen.ui \
	import_queue.ui \
	import.ui \
	media.ui \
	offline.ui \
	photo.ui \
	photo_context.ui \
	savedsearch.ui \
	search_bar.ui \
	search_sidebar_context.ui \
	set_background_dialog.glade \
	set_background_slideshow_dialog.glade \
	shotwell.glade \
	shotwell.xml \
	sidebar_default_context.ui \
	tag_sidebar_context.ui \
	tags.ui \
	top.ui \
	trash.ui 

SYS_INTEGRATION_FILES = \
	shotwell.appdata.xml \
	shotwell.desktop.head \
	shotwell-viewer.desktop.head \
	org.yorba.shotwell.gschema.xml \
	org.yorba.shotwell-extras.gschema.xml \
	shotwell.convert

SCHEMA_FILES := $(shell ls misc/*.gschema.xml)

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

ICON_FILES = \
	all-rejected.png \
	crop-pivot-reticle.png \
	crop.svg \
	drag_nub.png \
	five-star-filter.svg \
	five-stars.svg \
	flag-page.png \
	flag-trinket.png \
	four-star-filter-plus.svg \
	four-stars.svg \
	image-adjust.svg \
	import-all.png \
	import.svg \
	make-primary.svg \
	merge.svg \
	multiple-events.png \
	multiple-tags.png \
	no-event.png \
	noninterpretable-video.png \
	one-event.png \
	one-star-filter-plus.svg \
	one-star.svg \
	one-tag.png \
	pin-toolbar.svg \
	publish.png \
	redeye.png \
	rejected.svg \
	shotwell-16.svg \
	shotwell-24.svg \
	shotwell.ico \
	shotwell-street.jpg \
	shotwell.svg \
	shotwell-auto-enhance.png \
	sprocket.png \
	straighten.svg \
	three-star-filter-plus.svg \
	three-stars.svg \
	two-star-filter-plus.svg \
	two-stars.svg \
	videos-page.png \
	zoom-in.png \
	zoom-out.png \
	slideshow-extension-point.png \
	generic-plugin.png \
	filter-raw.png \
	filter-photos.png \
	filter-videos.png \
	filter-flagged.png

VAPI_DIRS = \
	./vapi

ifdef WITH_GPHOTO_25
VAPI_DIRS += ./vapi/gphoto-2.5
else
VAPI_DIRS += ./vapi/gphoto-2.4
endif


HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	ExtendedPosix \
	posix \
	LConv

EXT_PKGS = \
	atk \
	gdk-3.0 \
	gee-0.8 \
	gexiv2 \
	gio-unix-2.0 \
	glib-2.0 \
	gmodule-2.0 \
	gstreamer-1.0 \
	gstreamer-base-1.0 \
	gstreamer-pbutils-1.0 \
	gtk+-3.0 \
	gudev-1.0 \
	libexif \
	libgphoto2 \
	json-glib-1.0 \
	libraw \
	libsoup-2.4 \
	libxml-2.0 \
	sqlite3 \
	webkitgtk-3.0
ifdef UNITY_SUPPORT
EXT_PKGS += unity
endif

THUMBNAILER_PKGS = \
    gtk+-3.0 \
    gee-0.8 \
    gstreamer-1.0 \
    gstreamer-base-1.0

DIRECT_LIBS =

EXT_PKG_VERSIONS = \
	gee-0.8 >= 0.8.5 \
	gexiv2 >= 0.4.90 \
	gio-unix-2.0 >= 2.20 \
	glib-2.0 >= $(MIN_GLIB_VERSION) \
	gmodule-2.0 >= 2.24.0 \
	gstreamer-1.0 >= 1.0.0 \
	gstreamer-base-1.0 >= 1.0.0 \
	gstreamer-plugins-base-1.0 >= 1.0.0 \
	gstreamer-pbutils-1.0 >= 1.0.0 \
	gtk+-3.0 >= 3.12.2 \
	gudev-1.0 >= 145 \
	libexif >= 0.6.16 \
	libgphoto2 >= 2.4.2 \
	libraw >= 0.13.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	rest-0.7 >= 0.7 \
	sqlite3 >= 3.5.9 \
	webkitgtk-3.0 >= 1.4.0 \
	gnome-doc-utils

DIRECT_LIBS_VERSIONS =

VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APP_SHORT_NAME="Shotwell"
DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DESKTOP_APP_KEYWORDS="album;camera;cameras;crop;edit;enhance;export;gallery;image;images;import;organize;photo;photographs;photos;picture;pictures;photography;print;publish;rotate;share;tags;video;facebook;flickr;picasa;youtube;piwigo;"
DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

# for help page and translation .po files
include help/Makefile.am

# Process the units
UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
include $(UNIT_MKS)

UNITIZE_DIR := src/.unitize
UNITIZE_ENTRIES := $(foreach unit,$(APP_UNITS),$(UNITIZE_DIR)/_$(unit)_unitize_entry.vala)
UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized

PLUGINS_DIR := plugins
PLUGINS_SO := $(foreach plugin,$(PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`

THUMBNAILER_DIR := thumbnailer
THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))

MIGRATOR_DIR := settings-migrator
MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)

EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/$(po).po)

EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
EXPANDED_C_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.c))
EXPANDED_OBJ_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.o))
EXPANDED_SYS_INTEGRATION_FILES := $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
EXPANDED_ICON_FILES := $(foreach file,$(ICON_FILES),icons/$(file))
EXPANDED_VAPI_FILES := $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_DEPS_FILES := $(foreach deps,$(DEPS_FILES),vapi/$(deps))
EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
EXPANDED_DOC_IMAGES := $(foreach file,$(DOC_IMAGES),help/C/figures/$(file))
EXPANDED_DOC_PAGES := $(foreach page,$(DOC_PAGES),help/C/$(page))
EXPANDED_DOC_PO := $(foreach lang,$(DOC_LINGUAS),help/$(lang)/$(lang).po)
EXPANDED_XLAT_DOC_PAGES := \
	$(foreach lang,$(DOC_LINGUAS),\
		$(foreach page,$(DOC_PAGES),help/$(lang)/$(page)))
VALA_STAMP := $(BUILD_DIR)/.stamp
LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
DOC_LANG_STAMP := help/.langstamp
MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
PC_INPUT := shotwell-plugin-dev-1.0.m4
PC_FILE := $(PC_INPUT:.m4=.pc)

DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_DEPS_FILES) $(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) \
	$(EXPANDED_ICON_FILES) $(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) \
	po/LINGUAS po/POTFILES.in po/POTFILES.skip \
	$(EXPANDED_DOC_PAGES) $(EXPANDED_DOC_IMAGES) $(EXPANDED_DOC_PO) help/Makefile.am \
	apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN)

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_XZ = $(DIST_TAR).xz
PACKAGE_ORIG_XZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.xz

VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/

VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS := `pkg-config --libs $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0`

# REQUIRED_CFLAGS absolutely get appended to CFLAGS, whatever the
# the value of CFLAGS in the environment
REQUIRED_CFLAGS := -fPIC

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe
PLUGIN_CFLAGS = -O0 -g -pipe
else
CFLAGS = -O2 -g -pipe
PLUGIN_CFLAGS = -O2 -g -pipe
endif
endif

CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)
PLUGIN_CFLAGS += $(PROFILE_FLAGS) $(REQUIRED_CFLAGS)

# Required for gudev-1.0
CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE

all: pkgcheck valacheck desktop

ifdef ENABLE_BUILD_FOR_GLADE
all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
else
all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
endif


include src/plugins/mk/interfaces.mk

$(LANG_STAMP): $(EXPANDED_CORE_PO_FILES)
	@$(foreach po,$(CORE_SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
		msgfmt -c -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
	@touch $(LANG_STAMP)

clean:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -rf $(PROGRAM)-$(VERSION)
	rm -f $(PROGRAM)
	rm -f $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
	rm -rf $(LOCAL_LANG_DIR)
	rm -f $(LANG_STAMP)
	rm -f $(DOC_LANG_STAMP)
	rm -f $(EXPANDED_XLAT_DOC_PAGES)
	rm -f $(TEMPORARY_DESKTOP_FILES)
	rm -f lib$(PROGRAM).so
	rm -rf $(UNITIZE_DIR)
	rm -f $(PLUGIN_VAPI)
	rm -f $(PLUGIN_HEADER)
	rm -f $(PLUGIN_DEPS)
	rm -f $(PLUGINS_SO)
	rm -f $(EXTRA_PLUGINS_SO)
	@$(MAKE) --directory=plugins clean
	rm -f $(PC_FILE)

cleantemps:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -f $(LANG_STAMP)
	rm -f $(DOC_LANG_STAMP)
	rm -f $(TEMPORARY_DESKTOP_FILES)

=== debian/changelog ===
shotwell (0.22.0-0ubuntu5) wily; urgency=medium

  * debian/patches/06_uoa.patch:
    - use new facebook ID, thanks Alberto Mardegan (lp: #1453549)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Oct 2015 11:11:18 +0200

shotwell (0.22.0-0ubuntu4) wily; urgency=medium

  * Update autopilot test recorded ioctls for libgphoto 2.5.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 27 May 2015 16:05:56 +0200

shotwell (0.22.0-0ubuntu3) wily; urgency=medium

  * debian/tests/autopilot_tests/test_gphoto_import.py:
    - updated for the new version interface changes

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    - Request new facebook token when current is invalid (lp: #1453549)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 May 2015 11:58:48 +0200

shotwell (0.22.0-0ubuntu2) wily; urgency=medium

  * debian/patches/no_headerbar.patch:
    - Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header setting
      is not set (LP: #1456965)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 May 2015 18:26:16 +1200

shotwell (0.22.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 20 May 2015 16:00:53 +1200

shotwell (0.20.2-0ubuntu3) vivid; urgency=medium

  * No-change rebuild against new vala for fix in GStreamer bindings for
    CVE-2014-8154.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 15 Jan 2015 12:39:36 +0000

shotwell (0.20.2-0ubuntu2) vivid; urgency=medium

  * debian/control.in:
    - updated libsignon-glib requirement

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    Don't use the deprecated libaccounts and libsignon APIs
    Introspection annotations are wrong in some of those. (lp: #1382843)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Dec 2014 16:20:31 +0100

shotwell (0.20.2-0ubuntu1) vivid; urgency=medium

  * New upstream version, "Set Desktop Slideshow dialog resource now 
    included in distribution" (lp: #1380651)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Nov 2014 17:30:20 +0100

shotwell (0.20.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/test/*:
      + Add autopilot autopkgtest to check import from a libgphoto2
        camera (simulated with umockdev, recorded from a Canon
        PowerShot SX200).
        debian/tests/import will run under a local session D-BUS
        and xvfb, but you can also run the test interactively with
        "cd debian/tests; autopilot run autopilot_tests".
    - debian/control:
      + Suggest account plugins.
      + Bump breaks/replaces since we didn't take the package
        split until now.
    - debian/control, debian/rules:
      + Run intltool-update on build.
      + Build-Depends on intltool.
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext
        and the build system translates them all into English.
    - debian/patches/06_uoa.patch, debian/control:
      + Add Ubuntu Online Accounts support.
      + Build-Depends on libaccounts-glib-dev and libsignon-glib-dev.
    - debian/patches/update_translation_list.patch: 
      + Don't list deprecated source to translate.
    - debian/patches/libexec.patch, debian/rules:
      + Dropped, upstream supports libexecdir now.
      + Set libexec to /usr/lib/shotwell.
    - debian/control, debian/rules:
      + Build with Unity support.
      + Build-Depends on libunity-dev.
      + configure --disable-icon-update
    - debian/control, debian/rules:
      + Build with scour for SVG optimization.
      + Build-Depends on python-scour.
  * Drop following change, already fixed in Debian:
    - debian/watch: Update to GNOME FTP location.
  * Refresh patches.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 03 Nov 2014 00:10:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,37 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
-Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               m4,
-               valac (>= 0.18.0),
-               libgee-0.8-dev (>= 0.8.0),
-               libglib2.0-dev (>= 2.30.0),
-               libgtk-3-dev (>= 3.6.0),
-               libexif-dev (>= 0.6.16),
-               libsqlite3-dev (>= 3.5.9),
-               libgexiv2-dev (>= 0.4.90),
-               libgphoto2-dev (>= 2.4.2),
-               libsoup2.4-dev (>= 2.26.0),
-               libxml2 (>= 2.6.32),
-               libwebkitgtk-3.0-dev (>= 1.4.0),
-               libgudev-1.0-dev (>= 145),
-               libraw-dev (>= 0.14),
-               libjson-glib-dev,
-               libgstreamer1.0-dev (>= 1.0.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
-               librest-dev,
-               libaccounts-glib-dev,
-               libsignon-glib-dev (>= 1.10daily13.06.25-0ubuntu3),
-               libunity-dev,
-               python-scour,
-               desktop-file-utils,
-               intltool,
-               gnome-doc-utils,
-Standards-Version: 3.9.4
-Homepage: http://yorba.org/shotwell/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends:
+ debhelper (>= 9),
+ desktop-file-utils,
+ gnome-doc-utils,
+ libexif-dev (>= 0.6.16),
+ libgee-0.8-dev (>= 0.8.5),
+ libgexiv2-dev (>= 0.4.90),
+ libglib2.0-dev (>= 2.30.0),
+ libgphoto2-dev (>= 2.4.2),
+ libgstreamer-plugins-base1.0-dev (>= 1.0.0),
+ libgstreamer1.0-dev (>= 1.0.0),
+ libgtk-3-dev (>= 3.12.2),
+ libgudev-1.0-dev (>= 145),
+ libjson-glib-dev,
+ libraw-dev (>= 0.14),
+ librest-dev (>= 0.7),
+ libsoup2.4-dev (>= 2.26.0),
+ libsqlite3-dev (>= 3.5.9),
+ libwebkitgtk-3.0-dev (>= 1.4.0),
+ libxml2 (>= 2.6.32),
+ m4,
+ valac (>= 0.22.0),
+ libaccounts-glib-dev,
+ libsignon-glib-dev (>= 1.12),
+ libunity-dev,
+ python-scour,
+ intltool
+Standards-Version: 3.9.6
+Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --debug --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	cd po; intltool-update --pot --verbose -g=shotwell
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg

## shotwell 0.22.0+git20160108.r1.f2fb1f7

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 endif
 
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
-MIN_VALAC_VERSION := 0.20.1
+MIN_VALAC_VERSION := 0.28.0
 INSTALL_PROGRAM := install
 INSTALL_DATA := install -m 644
 
@@ -120,12 +120,10 @@
 	LConv.vapi \
 	libexif.vapi \
 	libraw.vapi \
-	webkitgtk-3.0.vapi \
 	unique-3.0.vapi \
 	unity.vapi
 
 DEPS_FILES = \
-	webkitgtk-3.0.deps \
 	unique-3.0.deps \
 	unity.deps
 
@@ -271,7 +269,7 @@
 	libsoup-2.4 \
 	libxml-2.0 \
 	sqlite3 \
-	webkitgtk-3.0
+	webkit2gtk-4.0
 ifdef UNITY_SUPPORT
 EXT_PKGS += unity
 endif
@@ -303,7 +301,7 @@
 	libxml-2.0 >= 2.6.32 \
 	rest-0.7 >= 0.7 \
 	sqlite3 >= 3.5.9 \
-	webkitgtk-3.0 >= 1.4.0 \
+	webkit2gtk-4.0 \
 	gnome-doc-utils
 
 DIRECT_LIBS_VERSIONS =
@@ -462,3 +460,4 @@
 	rm -f $(LANG_STAMP)
 	rm -f $(DOC_LANG_STAMP)
 	rm -f $(TEMPORARY_DESKTOP_FILES)
+	@$(MAKE) --directory=plugins cleantemps

=== test/Makefile ===
test: NaturalCollate-Test.vala ../src/NaturalCollate.vala
	valac NaturalCollate-Test.vala ../src/NaturalCollate.vala && ./NaturalCollate-Test
clean:
	rm NaturalCollate-Test

=== help/C/Makefile ===
#
# This produces the index.cache file and converts all the .page files in this directory
# to HTML.
# 
# Adapted from http://www.mail-archive.com/gnome-doc-list@gnome.org/msg04608.html
# and the mal2html script in the yelp-xsl package.
#
# Copyright 2010-2015 Yorba Foundation
#

pages=$(wildcard *.page)
htmls=$(patsubst %.page,%.html,$(pages))

all: $(htmls) index.cache

index.cache : $(pages)
	echo '<cache:cache xmlns:cache="http://projectmallard.org/cache/1.0/" xmlns="http://projectmallard.org/1.0/">' > index.temp
	for page in $(pages); do \
	  echo "<page cache:href='file://`pwd`/$$page'/>" >> index.temp; \
	done
	echo '</cache:cache>' >> index.temp
	xsltproc `pkg-config --variable xsltdir gnome-doc-utils`/mallard/cache/mal-cache.xsl index.temp > index.cache
	rm index.temp

$(htmls) : index.cache
$(htmls) : %.html : %.page
	xsltproc \
	  --stringparam mal.cache.file `pwd`/index.cache \
	  --param mal.chunk.chunk_top 1 \
	  `pkg-config --variable mal2html gnome-doc-utils` $<

.PHONY: clean
clean:
	rm -f index.cache *.html index.css index.temp

=== plugins/shotwell-data-imports/Makefile ===

PLUGIN := shotwell-data-imports

PLUGIN_PKGS := \
	gtk+-3.0 \
	gexiv2 \
	gee-0.8 \
	sqlite3

SRC_FILES := \
	shotwell-data-imports.vala \
	../common/VersionNumber.vala \
	../common/SqliteSupport.vala \
	FSpotImporter.vala \
	FSpotDatabaseBehavior.vala \
	FSpotDatabase.vala \
	FSpotDatabaseTable.vala \
	FSpotTableBehavior.vala \
	FSpotMetaTable.vala \
	FSpotPhotosTable.vala \
	FSpotPhotoTagsTable.vala \
	FSpotPhotoVersionsTable.vala \
	FSpotRollsTable.vala \
	FSpotTagsTable.vala

RC_FILES := \
	f-spot-24.png

include ../Makefile.plugin.mk

=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkit2gtk-4.0 \
	gee-0.8 \
	rest-0.7 \
	json-glib-1.0

SRC_FILES := \
	GalleryConnector.vala \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	TumblrPublishing.vala \
	RajcePublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

# RC_FILES must also be added to ../plugins.mk to ensure they're installed properly
RC_FILES := \
	gallery3.png \
	gallery3_authentication_pane.glade \
	gallery3_publishing_options_pane.glade \
	yandex_publish_model.glade \
	tumblr.png \
	tumblr_authentication_pane.glade \
	tumblr_publishing_options_pane.glade \
	rajce.png \
	rajce_authentication_pane.glade \
	rajce_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== plugins/shotwell-publishing/Makefile ===

PLUGIN := shotwell-publishing

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkit2gtk-4.0 \
	gexiv2 \
	rest-0.7 \
	gee-0.8 \
	json-glib-1.0

SRC_FILES := \
	shotwell-publishing.vala \
	FacebookPublishing.vala \
	PicasaPublishing.vala \
	FlickrPublishing.vala \
	YouTubePublishing.vala \
	PiwigoPublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

RC_FILES := \
	facebook.png \
	facebook_publishing_options_pane.glade \
	flickr.png \
	flickr_publishing_options_pane.glade \
	flickr_pin_entry_pane.glade \
	picasa.png \
	picasa_publishing_options_pane.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade \
	youtube.png \
	youtube_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== samples/simple-plugin/Makefile ===

PROGRAM := simple-plugin
VERSION := 0.1.0

all: $(PROGRAM).so

clean:
	rm -f $(PROGRAM).c $(PROGRAM).so

install:
	@ [ `whoami` != "root" ] || ( echo 'Run make install as yourself, not as root.' ; exit 1 )
	mkdir -p ~/.gnome2/shotwell/plugins
	install -m 644 $(PROGRAM).so ~/.gnome2/shotwell/plugins

uninstall:
	@ [ `whoami` != "root" ] || ( echo 'Run make install as yourself, not as root.' ; exit 1 )
	rm -f ~/.gnome2/shotwell/plugins/$(PROGRAM).so

$(PROGRAM).so: $(PROGRAM).vala Makefile
	valac --save-temps --main=dummy_main -X -D_VERSION='"$(VERSION)"' --pkg=shotwell-plugin-dev-1.0 \
		-X --shared -X -fPIC $< -o $@

=== debian/changelog ===
shotwell (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) xenial; urgency=medium

  * New upstream git snapshot.
  * debian/control: Switch BDs to webkit2 - this snapshot contains a port.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 08 Jan 2016 13:28:46 +0000

shotwell (0.22.0-2ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - debian/control, debian/test/*:
      + Add autopilot autopkgtest to check import from a libgphoto2
        camera (simulated with umockdev, recorded from a Canon
        PowerShot SX200).
        debian/tests/import will run under a local session D-BUS
        and xvfb, but you can also run the test interactively with
        "cd debian/tests; autopilot run autopilot_tests".
    - debian/control:
      + Suggest account plugins.
    - debian/control, debian/rules:
      + Run intltool-update on build.
      + Build-Depends on intltool.
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext
        and the build system translates them all into English.
    - debian/patches/06_uoa.patch, debian/control:
      + Add Ubuntu Online Accounts support.
      + Build-Depends on libaccounts-glib-dev and libsignon-glib-dev.
    - debian/patches/no_headerbar.patch:
      + Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header 
        setting is not set (LP: #1456965)
    - debian/patches/update_translation_list.patch: 
      + Don't list deprecated source to translate.
    - debian/patches/libexec.patch, debian/rules:
      + Dropped, upstream supports libexecdir now.
      + Set libexec to /usr/lib/shotwell.
    - debian/control, debian/rules:
      + Build with Unity support.
      + Build-Depends on libunity-dev.
      + configure --disable-icon-update
    - debian/control, debian/rules:
      + Build with scour for SVG optimization.
      + Build-Depends on python-scour.
    - clean out thumbnailer hacks, that's not user friendly and not
      something that should be recommended doing

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 17:11:59 +0100

shotwell (0.22.0-2) unstable; urgency=medium

  * debian/control:
    - Add dconf-cli to Depends for binary package shotwell (Closes: #783578).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 30 Apr 2015 08:07:46 +0200

shotwell (0.22.0-1) unstable; urgency=low

  * New upstream release:
    - Correct edited file handling (Closes: #747443).
    - Better handling of imported files (Closes: #775950).
  * Refresh patches:
    - debian/patches/hardening.patch
    - debían/patches/500-buildflags.patch
  * Remove patch applied upstream:
    - debian/patches/505-fix-viewer-desktop-file.patch
  * For better debugging:
    - shotwell-dbg:
      + Add the temporary *.c files produced by valac
        to temp-source.tar.xz placed in doc directory.
    - debian/rules:
      + Add --debug as configure parameter.
      + Add override_dh_compress to exclude the *.tar.xz from compress.
    - debian/docs:
      + Move to shotwell.docs.
    - New debian/shotwell-dbg.README.Debian.
    - New link from debian/shotwell.README.Debian to
      debian/shotwell-common.README.Debian.
  * debian/control:
    - For the libgphoto2 transition, set the minimum version for
      libgphoto2-dev in Build-Depends to 2.5.4.
  * New bug reporting:
    - New debian/shotwell.bug-script.
    - New debian/shotwell.install to install the apport file.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 06 Apr 2015 07:59:33 +0200

shotwell (0.20.2-2) unstable; urgency=low

  * Add user scripts to replace shotwell-video-thumbnailer
    if the thumbnailer is broken (Closes: #768637):
    - New files:
      + debian/shotwell.README.Debian
      + debian/replace_thumbnailer.sh
      + debian/shotwell.postrm
      + debian/shotwell.examples
    - Thanks to Teo Romera <teoromera@gmail.com>.
  * debian/patches:
    - Add 505-fix-viewer-desktop-file.patch to correct build of
      shotwell-viewer.desktop (Closes: #776745).
      + Thanks to Raphaël Halimi <raphael.halimi@gmail.com>.
    - Rewrite 500-buildflags.patch to prevent FTBFS on
      architectures i386 and powerpc.
  * debian/control:
    - Add Build-Depends libicu-dev for missing unicode/ucnv.h.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Feb 2015 05:16:56 +0100

shotwell (0.20.2-1) unstable; urgency=medium

  * New upstream release (Closes: #769025).
  * debian/control:
    - Remove useless ${shlibs:Depends} from shotwell-dbg.
  * debian/rules:
    - Remove useless hardening parts.
  * New debian/patches/500-buildflags.patch:
    - Poke requested Debian buildflags for hardening into Makefile.
  * Add year 2015 for debian/* to debian/copyright.
  * Remove debian/source/options because compression xz is standard now.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 Jan 2015 14:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libgee-0.8-dev (>= 0.8.5),
  libgexiv2-dev (>= 0.4.90),
  libglib2.0-dev (>= 2.30.0),
- libgphoto2-dev (>= 2.4.2),
+ libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
  libgstreamer1.0-dev (>= 1.0.0),
  libgtk-3-dev (>= 3.12.2),
@@ -21,7 +21,7 @@
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
- libwebkitgtk-3.0-dev (>= 1.4.0),
+ libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
  m4,
  valac (>= 0.22.0),
@@ -32,16 +32,18 @@
  intltool
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
-XS-Testsuite: autopkgtest
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/shotwell.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/shotwell.git
 
 Package: shotwell
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         shotwell-common (= ${source:Version}),
-         librsvg2-common,
-         dbus-x11
+Depends: 
+ ${shlibs:Depends},
+ ${misc:Depends},
+ shotwell-common (= ${source:Version}),
+ dconf-cli,
+ dbus-x11,
+ librsvg2-common
 Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
@@ -54,8 +56,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: shotwell
-Breaks: shotwell (<< 0.14.1-1)
-Replaces: shotwell (<< 0.14.1-1)
+Breaks: shotwell (<< 0.12.3-1)
+Replaces: shotwell (<< 0.12.3-1)
 Description: digital photo organizer - common files
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos from disk or camera, organize
@@ -69,8 +71,7 @@
 Priority: extra
 Section: debug
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          shotwell (= ${binary:Version})
 Description: digital photo organizer - debugging symbols
  Shotwell is a digital photo organizer designed for the GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile --disable-icon-update --unity-support

override_dh_install:
	dh_install --fail-missing
	# install temporary c files for debuging
	mkdir -p debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	find -type f -name '*.c' -exec cp --parent '{}' debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source/ ';'
	cd debian/shotwell-dbg/usr/share/doc/shotwell-dbg && \
	tar cJf temp-source.tar.xz temp-source
	rm -fr debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	cd po; intltool-update --pot --verbose -g=shotwell

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg

override_dh_compress:
	dh_compress -X.tar.xz

=== debian/tests/control ===
Tests: import
Depends: shotwell,
 xvfb,
 dbus-x11,
 umockdev,
 autopilot-desktop (>= 1.5.0+14.10.20140526),
 libautopilot-gtk,
 at-spi2-core,

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/shotwell/([\d\.]+[02468])/shotwell-([\d\.]+)\.tar\.xz
